## NAS Register Indications request NAS Register Indications request |

## Functions

QmiMessageNasRegisterIndicationsInput * | qmi_message_nas_register_indications_input_new ()
QmiMessageNasRegisterIndicationsInput * | qmi_message_nas_register_indications_input_ref ()
void | qmi_message_nas_register_indications_input_unref ()
gboolean | qmi_message_nas_register_indications_input_get_rf_band_information ()
gboolean | qmi_message_nas_register_indications_input_set_rf_band_information ()
gboolean | qmi_message_nas_register_indications_input_get_embms_status ()
gboolean | qmi_message_nas_register_indications_input_set_embms_status ()
gboolean | qmi_message_nas_register_indications_input_get_current_plmn_name ()
gboolean | qmi_message_nas_register_indications_input_set_current_plmn_name ()
gboolean | qmi_message_nas_register_indications_input_get_managed_roaming ()
gboolean | qmi_message_nas_register_indications_input_set_managed_roaming ()
gboolean | qmi_message_nas_register_indications_input_get_hdr_session_closed ()
gboolean | qmi_message_nas_register_indications_input_set_hdr_session_closed ()
gboolean | qmi_message_nas_register_indications_input_get_hdr_new_uati_assigned ()
gboolean | qmi_message_nas_register_indications_input_set_hdr_new_uati_assigned ()
gboolean | qmi_message_nas_register_indications_input_get_error_rate ()
gboolean | qmi_message_nas_register_indications_input_set_error_rate ()
gboolean | qmi_message_nas_register_indications_input_get_signal_info ()
gboolean | qmi_message_nas_register_indications_input_set_signal_info ()
gboolean | qmi_message_nas_register_indications_input_get_system_info ()
gboolean | qmi_message_nas_register_indications_input_set_system_info ()
gboolean | qmi_message_nas_register_indications_input_get_network_time ()
gboolean | qmi_message_nas_register_indications_input_set_network_time ()
gboolean | qmi_message_nas_register_indications_input_get_subscription_info ()
gboolean | qmi_message_nas_register_indications_input_set_subscription_info ()
gboolean | qmi_message_nas_register_indications_input_get_dual_standby_preference ()
gboolean | qmi_message_nas_register_indications_input_set_dual_standby_preference ()
gboolean | qmi_message_nas_register_indications_input_get_serving_system_events ()
gboolean | qmi_message_nas_register_indications_input_set_serving_system_events ()
gboolean | qmi_message_nas_register_indications_input_get_ddtm_events ()
gboolean | qmi_message_nas_register_indications_input_set_ddtm_events ()
gboolean | qmi_message_nas_register_indications_input_get_system_selection_preference ()
gboolean | qmi_message_nas_register_indications_input_set_system_selection_preference ()
QmiMessageNasRegisterIndicationsOutput * | qmi_message_nas_register_indications_output_ref ()
void | qmi_message_nas_register_indications_output_unref ()
gboolean | qmi_message_nas_register_indications_output_get_result ()
void | qmi_client_nas_register_indications ()
QmiMessageNasRegisterIndicationsOutput * | qmi_client_nas_register_indications_finish ()

## Types and Values

| QmiMessageNasRegisterIndicationsInput
| QmiMessageNasRegisterIndicationsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasRegisterIndicationsInput
        ╰── QmiMessageNasRegisterIndicationsOutput

## Description

## Functions

### qmi_message_nas_register_indications_input_new ()

    QmiMessageNasRegisterIndicationsInput *
    qmi_message_nas_register_indications_input_new
                                   (void);

Allocates a new QmiMessageNasRegisterIndicationsInput.

#### Returns

the newly created QmiMessageNasRegisterIndicationsInput. The returned value should be freed with `qmi_message_nas_register_indications_input_unref()`.

Since: 1.0

### qmi_message_nas_register_indications_input_ref ()

    QmiMessageNasRegisterIndicationsInput *
    qmi_message_nas_register_indications_input_ref
                                   (QmiMessageNasRegisterIndicationsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_register_indications_input_unref ()

    void
    qmi_message_nas_register_indications_input_unref
                                   (QmiMessageNasRegisterIndicationsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |

Since: 1.0

### qmi_message_nas_register_indications_input_get_rf_band_information ()

    gboolean
    qmi_message_nas_register_indications_input_get_rf_band_information
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_rf_band_information,
                                    GError **error);

Get the 'RF Band Information' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_rf_band_information | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_rf_band_information ()

    gboolean
    qmi_message_nas_register_indications_input_set_rf_band_information
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_rf_band_information,
                                    GError **error);

Set the 'RF Band Information' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_rf_band_information | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_embms_status ()

    gboolean
    qmi_message_nas_register_indications_input_get_embms_status
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_embms_status,
                                    GError **error);

Get the 'eMBMS Status' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_embms_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_embms_status ()

    gboolean
    qmi_message_nas_register_indications_input_set_embms_status
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_embms_status,
                                    GError **error);

Set the 'eMBMS Status' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_embms_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_current_plmn_name ()

    gboolean
    qmi_message_nas_register_indications_input_get_current_plmn_name
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_current_plmn_name,
                                    GError **error);

Get the 'Current PLMN Name' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_current_plmn_name | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_current_plmn_name ()

    gboolean
    qmi_message_nas_register_indications_input_set_current_plmn_name
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_current_plmn_name,
                                    GError **error);

Set the 'Current PLMN Name' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_current_plmn_name | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_managed_roaming ()

    gboolean
    qmi_message_nas_register_indications_input_get_managed_roaming
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_managed_roaming,
                                    GError **error);

Get the 'Managed Roaming' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_managed_roaming | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_managed_roaming ()

    gboolean
    qmi_message_nas_register_indications_input_set_managed_roaming
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_managed_roaming,
                                    GError **error);

Set the 'Managed Roaming' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_managed_roaming | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_hdr_session_closed ()

    gboolean
    qmi_message_nas_register_indications_input_get_hdr_session_closed
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_hdr_session_closed,
                                    GError **error);

Get the 'HDR Session Closed' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_hdr_session_closed | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_hdr_session_closed ()

    gboolean
    qmi_message_nas_register_indications_input_set_hdr_session_closed
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_hdr_session_closed,
                                    GError **error);

Set the 'HDR Session Closed' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_hdr_session_closed | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_hdr_new_uati_assigned ()

    gboolean
    qmi_message_nas_register_indications_input_get_hdr_new_uati_assigned
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_hdr_new_uati_assigned,
                                    GError **error);

Get the 'HDR New UATI Assigned' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_hdr_new_uati_assigned | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_hdr_new_uati_assigned ()

    gboolean
    qmi_message_nas_register_indications_input_set_hdr_new_uati_assigned
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_hdr_new_uati_assigned,
                                    GError **error);

Set the 'HDR New UATI Assigned' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_hdr_new_uati_assigned | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_error_rate ()

    gboolean
    qmi_message_nas_register_indications_input_get_error_rate
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_error_rate,
                                    GError **error);

Get the 'Error Rate' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_error_rate | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_error_rate ()

    gboolean
    qmi_message_nas_register_indications_input_set_error_rate
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_error_rate,
                                    GError **error);

Set the 'Error Rate' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_error_rate | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_signal_info ()

    gboolean
    qmi_message_nas_register_indications_input_get_signal_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_signal_info,
                                    GError **error);

Get the 'Signal Info' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_signal_info | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_signal_info ()

    gboolean
    qmi_message_nas_register_indications_input_set_signal_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_signal_info,
                                    GError **error);

Set the 'Signal Info' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_signal_info | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_system_info ()

    gboolean
    qmi_message_nas_register_indications_input_get_system_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_system_info,
                                    GError **error);

Get the 'System Info' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_system_info | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_system_info ()

    gboolean
    qmi_message_nas_register_indications_input_set_system_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_system_info,
                                    GError **error);

Set the 'System Info' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_system_info | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_network_time ()

    gboolean
    qmi_message_nas_register_indications_input_get_network_time
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_network_time,
                                    GError **error);

Get the 'Network Time' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_network_time | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_network_time ()

    gboolean
    qmi_message_nas_register_indications_input_set_network_time
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_network_time,
                                    GError **error);

Set the 'Network Time' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_network_time | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_subscription_info ()

    gboolean
    qmi_message_nas_register_indications_input_get_subscription_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_subscription_info,
                                    GError **error);

Get the 'Subscription Info' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_subscription_info | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_subscription_info ()

    gboolean
    qmi_message_nas_register_indications_input_set_subscription_info
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_subscription_info,
                                    GError **error);

Set the 'Subscription Info' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_subscription_info | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_dual_standby_preference ()

    gboolean
    qmi_message_nas_register_indications_input_get_dual_standby_preference
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_dual_standby_preference,
                                    GError **error);

Get the 'Dual Standby Preference' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_dual_standby_preference | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_dual_standby_preference ()

    gboolean
    qmi_message_nas_register_indications_input_set_dual_standby_preference
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_dual_standby_preference,
                                    GError **error);

Set the 'Dual Standby Preference' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_dual_standby_preference | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_serving_system_events ()

    gboolean
    qmi_message_nas_register_indications_input_get_serving_system_events
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_serving_system_events,
                                    GError **error);

Get the 'Serving System Events' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_serving_system_events | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_serving_system_events ()

    gboolean
    qmi_message_nas_register_indications_input_set_serving_system_events
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_serving_system_events,
                                    GError **error);

Set the 'Serving System Events' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_serving_system_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_ddtm_events ()

    gboolean
    qmi_message_nas_register_indications_input_get_ddtm_events
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_ddtm_events,
                                    GError **error);

Get the 'DDTM Events' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_ddtm_events | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_ddtm_events ()

    gboolean
    qmi_message_nas_register_indications_input_set_ddtm_events
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_ddtm_events,
                                    GError **error);

Set the 'DDTM Events' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_ddtm_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_get_system_selection_preference ()

    gboolean
    qmi_message_nas_register_indications_input_get_system_selection_preference
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean *value_system_selection_preference,
                                    GError **error);

Get the 'System Selection Preference' field from `self` .

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_system_selection_preference | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_input_set_system_selection_preference ()

    gboolean
    qmi_message_nas_register_indications_input_set_system_selection_preference
                                   (QmiMessageNasRegisterIndicationsInput *self,
                                    gboolean value_system_selection_preference,
                                    GError **error);

Set the 'System Selection Preference' field in the message.

#### Parameters

self | a QmiMessageNasRegisterIndicationsInput. |
value_system_selection_preference | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_register_indications_output_ref ()

    QmiMessageNasRegisterIndicationsOutput *
    qmi_message_nas_register_indications_output_ref
                                   (QmiMessageNasRegisterIndicationsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasRegisterIndicationsOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_register_indications_output_unref ()

    void
    qmi_message_nas_register_indications_output_unref
                                   (QmiMessageNasRegisterIndicationsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasRegisterIndicationsOutput. |

Since: 1.0

### qmi_message_nas_register_indications_output_get_result ()

    gboolean
    qmi_message_nas_register_indications_output_get_result
                                   (QmiMessageNasRegisterIndicationsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasRegisterIndicationsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_register_indications ()

    void
    qmi_client_nas_register_indications (QmiClientNas *self,
                                         QmiMessageNasRegisterIndicationsInput *input,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Register Indications request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_register_indications_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasRegisterIndicationsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_register_indications_finish ()

    QmiMessageNasRegisterIndicationsOutput *
    qmi_client_nas_register_indications_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_register_indications()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_register_indications()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasRegisterIndicationsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_register_indications_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasRegisterIndicationsInput

    typedef struct _QmiMessageNasRegisterIndicationsInput QmiMessageNasRegisterIndicationsInput;

The QmiMessageNasRegisterIndicationsInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasRegisterIndicationsOutput

    typedef struct _QmiMessageNasRegisterIndicationsOutput QmiMessageNasRegisterIndicationsOutput;

The QmiMessageNasRegisterIndicationsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0